﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[HIESTY]') AND name = N'XHIESTY1')
BEGIN 
PRINT 'Creating index XHIESTY1 on table HIESTY'
CREATE UNIQUE NONCLUSTERED INDEX [XHIESTY1] ON [dbo].[HIESTY] 
(
	[ALPH] ASC,
	[NUMB] ASC,
	[GROU] ASC,
	[SGRP] ASC,
	[STYL] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[HIESTY]') AND name = N'XHIESTY2')
BEGIN 
PRINT 'Creating index XHIESTY2 on table HIESTY'
CREATE UNIQUE NONCLUSTERED INDEX [XHIESTY2] ON [dbo].[HIESTY] 
(
	[STYL] ASC,
	[NUMB] ASC,
	[GROU] ASC,
	[SGRP] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

